#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 4

Summary:        An offline-caching, synchronization and indexing system for PIM data
Name:           sink
Version: 0.8.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/unstable/sink/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5CalendarCore)

BuildRequires:  cmake(KAsync)
BuildRequires:  cmake(KIMAP2)
BuildRequires:  cmake(KPimKDAV2)

BuildRequires:  cmake(xapian)

BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgit2)

BuildRequires:  lmdb-devel
BuildRequires:  flatbuffers-devel

%description
An offline-caching, synchronization and indexing system for PIM data.

%files
%{_kf5_bindir}/sink_smtp_test
%{_kf5_bindir}/sink_synchronizer
%{_kf5_bindir}/sinksh
%dir %{_qt5_archdatadir}/plugins/sink
%dir %{_qt5_archdatadir}/plugins/sink/resources
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_caldav.so
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_carddav.so
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_dummy.so
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_imap.so
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_maildir.so
%{_qt5_archdatadir}/plugins/sink/resources/libsink_resource_mailtransport.so

#--------------------------------------------------------------------

%define sink_major 0
%define libsink %mklibname sink %{sink_major}

%package -n     %libsink
Summary:        An offline-caching, synchronization and indexing system for PIM data
Group:          System/Libraries
Requires:       %name >= %version-%release
Obsoletes:      %{_lib}sink_0 < 0.7.0-2

%description -n %libsink
An offline-caching, synchronization and indexing system for PIM data.

%files -n %libsink
%{_kf5_libdir}/libsink.so.%{sink_major}{,.*}

#--------------------------------------------------------------------

%define sink_devel %mklibname sink -d

%package -n     %sink_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libsink = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %sink_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %sink_devel
%{_includedir}/sink/
%{_kf5_libdir}/libsink.so
%{_kf5_libdir}/cmake/Sink/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# Don't build tests
find -name CMakeLists.txt | xargs sed -e '/add_subdirectory(tests)/d' -i

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install




%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.8.0-4.mga8
+ Revision: 1659853
- Rebuild for new Qt5

* Wed Jul 29 2020 daviddavid <daviddavid> 0.8.0-3.mga8
+ Revision: 1609581
- rebuild for new libgit2 1.0.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Oct 07 2019 daviddavid <daviddavid> 0.8.0-2.mga8
+ Revision: 1450341
- enable libgit2 support

* Mon Oct 07 2019 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1450336
- new version: 0.8.0

* Thu Aug 22 2019 daviddavid <daviddavid> 0.7.0-5.mga8
+ Revision: 1431303
- rebuild for new Qt5 location

* Tue Apr 02 2019 umeabot <umeabot> 0.7.0-4.mga7
+ Revision: 1384838
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1301043
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 daviddavid <daviddavid> 0.7.0-2.mga7
+ Revision: 1253008
- liblibhawd.so is a runtime library not a devel one
- fix libsink pkg name
- fiw owner of qt5 plugins dir

* Sun Aug 19 2018 neoclust <neoclust> 0.7.0-1.mga7
+ Revision: 1252916
- imported package sink

